/* coach.cc
 *
 * Copyright (C) 1997 Technical University of Chemnitz
 * Oliver Langer
 *
 * The class c_coach implemented in this file contains all functions a 
 * coach may perform and all messages a coach may receive.
 */


static char implent[] = "$Id: coach.cc,v 0.7 1998/04/30 07:11:27 ola Stable $";


#include <string.h>
#include <stdio.h>
#include <iostream.h>
#include "coach.h"


void c_coach::move( char *obj_name, float x, float y ) {
	sprintf( msg, "(move %s %f %f)", obj_name, x, y );
	SEND( msg );
}

 
void c_coach::move( char *obj_name, float x, float y, float angle ) {
	sprintf( msg, "(move %s %f %f %f)", obj_name, x, y, angle );
	SEND( msg );
}


void c_coach::look( void ) {
	strcpy( msg, "(look)" );
	SEND( msg );
}


void c_coach::check_ball( void ) {
	strcpy( msg, "(check_ball)" );
	SEND( msg );
}


void c_coach::ear( char on_off ) {
	if( on_off ) 
		strcpy( msg, "(ear on)" );
	else	strcpy( msg, "(ear off)" );

	SEND( msg );
}


void c_coach::change_mode( enum play_mode_t new_mode ) {
	sprintf( msg, "(change_mode %s)", soccer_play_modes[ new_mode ] );
	SEND( msg );
}


void c_coach::unknown_msg( char *msg ) {
	char s[ MAX_MSG_LEN ], resp[ 12 ];
	float simtime;

/* TODO : do things written here in soccer_env.y 
	if( !strncmp( msg, "(ok", 3 ) ) {
		// got OK-message
		sscanf( msg, "(ok %s %[^\n]", resp, s );

		if( !strncmp( resp, "look", 4 ) ) {
			sscanf( s, "%f %[^\n]", &simtime, s );
			interprete_see_msg( simtime, s );
		} else 	if( !strncmp( resp, "check_ball", 10 ) ) {
				sscanf( s, "%f %s", &simtime, s );
				ok_check_ball( simtime, s );
			} else	{
					sscanf( msg, "(ok %[^\n]", s );
					ok_msg( s );
			}
		
	} else	if( !strncmp( msg, "(error", 6 ) ) {
			sscanf( msg, "(error %[^\n]", s );
			error_msg( s );
		} else	cerr << "c_coach::unknow_msg : " \
			  "got unknown message from server!\n";
*/
}

/* DELETE
void c_coach::ok_check_ball( float simtime, char *status ) {
}


void c_coach::error_msg( char *msg ) {
}
*/
