#ifndef __COACH_H
#define __COACH_H

#include "basics.h"


class c_coach : public c_basics {
	public:
		c_coach ( void ) : c_basics() {};

		virtual void move( char *, float, float );
		virtual void move( char *, float, float, float );
		virtual void look( void );
		virtual void check_ball( void );
		virtual void ear( char );
		virtual void change_mode( enum play_mode_t );

		virtual void unknown_msg( char * );

		virtual void ok_check_ball( float, char * ) = 0;
		virtual void ok_msg( char * ) = 0;
		virtual void error_msg( char * ) = 0;

		virtual void hear_from_player( float simtime, char *teamname, int playernr, char *message ) = 0;
};

#endif
