#ifndef __CONNECTION_H
#define __CONNECTION_H

#include <unistd.h>
#include <sys/types.h>
#include <sys/socket.h>
#include <netinet/in.h>
#include <arpa/inet.h>
#include <netdb.h>
#include <fcntl.h>


class c_connection {
	public:
		c_connection( void );
		~c_connection();

		int open( const char *, int );
		void shutdown();

		int send_msg( char *, unsigned int );
		int recv_msg( char *, unsigned int ); 

	protected:
		char *server_host;
		int portnr, socket_fd;
		struct sockaddr_in socket_addr;
};

#endif

