#include "player.h"

struct position_t { int x,y; };


class c_my_client : public c_player {
	public:
		void prepare_game( void );
		//virtual void hear_from_referee( float, char * );
		virtual void hear_from_direction( float, float, char * );

		virtual void mode_changed( enum play_mode_t new_mode,
		  char side = 0 );

		virtual void see_flag_penalty( float, struct obj_info_t, char, 
		  char );
		virtual void see_flag( float, struct obj_info_t, char, char );
		virtual void see_flag( float, struct obj_info_t );


		virtual void see_flag( float, struct obj_info_t, FlagPos );		/* NEW METHOD */
		virtual void see_flag_penalty( float, struct obj_info_t, FlagPos );		/* NEW METHOD */
		virtual void see_flag_center( float, struct obj_info_t );		/* NEW METHOD */
		virtual void see_flag_goal( float, struct obj_info_t, FlagPos );	/* NEW - Protocol 4 */
		virtual void see_flag_outside( float, struct obj_info_t, FlagPos, int );	/* NEW - Protocol 4 */
		virtual void see_flag_outside( float, struct obj_info_t, FlagPos );	/* NEW - Protocol 4 */

		virtual void see_goal( float, struct obj_info_t, char );
		virtual void see_goal( float, struct obj_info_t );
		virtual void see_goal(float, struct obj_info_t, enum _Side);

		virtual void see_line( float, struct obj_info_t, LinePos );
		virtual void see_line( float, struct obj_info_t, char );
		virtual void see_line( float, struct obj_info_t );
		virtual void see_player( float, struct obj_info_t, WhichTeam, int );
		virtual void see_player( float, struct obj_info_t, WhichTeam );
		virtual void see_player( float, struct obj_info_t );

		virtual void see_player_and_face( float, struct obj_info_t, WhichTeam, int, float ); /* NEW - Protocol 4 */
		virtual void see_player_and_face( float, struct obj_info_t, WhichTeam, float ); /* NEW - Protocol 4 */
		virtual void see_player_and_face( float, struct obj_info_t, float ); /* NEW - Protocol 4 */

		void see_ball( float, struct obj_info_t );

		virtual void idle( void );
		virtual void bye( void );

	protected:
		char client_moved;
};
