#ifndef __KERNEL_H
#define __KERNEL_H

#include "basics.h"


class c_kernel {
	public:
		c_kernel( void );
		~c_kernel();
	
		void set_object( c_basics * );
		void set_incoming_freq( int );

		void run( void );
		void exit_kernel( void );

		void disable_idle( void );
		void enable_idle( void );

	protected:
		c_basics	*obj;
		char		run_state;
		int		incoming_freq;

		void run_without_idle( void );
};

#endif
