
/*  A Bison parser, made from soccer_env.y
 by  GNU Bison version 1.25
  */

#define YYBISON 1  /* Identify Bison output.  */

#define	SYMB_AV_HEAR	258
#define	SYMB_OBJ_REFEREE	259
#define	SYMB_OBJ_SELF	260
#define	SYMB_WORDSTRING	261
#define	SYMB_MD_BEFORE_KICKOFF	262
#define	SYMB_MD_TIME_OVER	263
#define	SYMB_MD_PLAY_ON	264
#define	SYMB_MD_KICK_OFF_L	265
#define	SYMB_MD_KICK_OFF_R	266
#define	SYMB_MD_KICK_IN_L	267
#define	SYMB_MD_KICK_IN_R	268
#define	SYMB_MD_FREE_KICK_L	269
#define	SYMB_MD_FREE_KICK_R	270
#define	SYMB_MD_CORNER_KICK_L	271
#define	SYMB_MD_CORNER_KICK_R	272
#define	SYMB_MD_GOAL_KICK_L	273
#define	SYMB_MD_GOAL_KICK_R	274
#define	SYMB_MD_GOAL_L	275
#define	SYMB_MD_GOAL_R	276
#define	SYMB_INT_NR	277
#define	SYMB_FLOAT_NR	278
#define	SYMB_AV_SEE	279
#define	SYMB_OBJ_PLAYER	280
#define	SYMB_OBJ_player	281
#define	SYMB_OBJ_BALL	282
#define	SYMB_OBJ_ball	283
#define	SYMB_OBJ_GOAL	284
#define	SYMB_OBJ_goal	285
#define	SYMB_OBJ_FLAG	286
#define	SYMB_OBJ_flag	287
#define	SYMB_OBJ_line	288
#define	SYMB_OBJ_PENALTY	289
#define	SYMB_OBJ_GOALFLAG	290
#define	SYMB_OBJ_hv_pos	291
#define	R_BRAK	292
#define	L_BRAK	293

#line 1 "soccer_env.y"

#include <stdio.h>
#include <string.h>
#include <unistd.h>

#include "libsclient.h"
#include "basics.h"
#include "coach.h"


#ifndef HEAR_MSG_LEN
#define HEAR_MSG_LEN	1024
#endif

enum seen_obj_t  { SEE_PLAYER, SEE_PLAYER_TEAM_NR, SEE_PLAYER_TEAM, SEE_BALL, SEE_GOAL, SEE_GOAL_SIDE,
  SEE_GOAL_WITH_CONE, SEE_FLAG, SEE_FLAG_P_X_Y, SEE_FLAG_X_Y, SEE_FLAG_WITHOUT_CONE, 
  SEE_FLAG_CENTER, SEE_FLAG_GOAL, SEE_FLAG_OUTSIDE_X_Y, SEE_FLAG_OUTSIDE, SEE_LINE_X_Y, SEE_LINE };

static SensorInfo		*cur_sensor_info = NULL;
static SeenObj			*cur_see_info = NULL;
static char			*own_teamname = NULL;
static char			*ptr_input_buffer = NULL;
static int			len_input_buffer = 0;
static c_basics			*scu_player = NULL;
static struct obj_info_t	obj_info;

typedef SeenObj *	seenobj_4_yacc;

extern char *yytext;
void yyerror( char * );

static char * read_audio_msg();
static void read_player_info();
static char * read_teamname();
static int read_playernr();

int yylex();


#line 66 "soccer_env.y"
typedef union {
	float		float_nr;
	int		int_nr;
	seen_obj_t	seen_obj_type;
	SeenObj		*seen_obj;
	char		character;
	char		*str;
	Side		side;
} YYSTYPE;
#ifndef YYDEBUG
#define YYDEBUG 1
#endif

#include <stdio.h>

#ifndef __cplusplus
#ifndef __STDC__
#define const
#endif
#endif



#define	YYFINAL		74
#define	YYFLAG		-32768
#define	YYNTBASE	39

#define YYTRANSLATE(x) ((unsigned)(x) <= 293 ? yytranslate[x] : 60)

static const char yytranslate[] = {     0,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     2,     2,     2,     2,     2,
     2,     2,     2,     2,     2,     1,     2,     3,     4,     5,
     6,     7,     8,     9,    10,    11,    12,    13,    14,    15,
    16,    17,    18,    19,    20,    21,    22,    23,    24,    25,
    26,    27,    28,    29,    30,    31,    32,    33,    34,    35,
    36,    37,    38
};

#if YYDEBUG != 0
static const short yyprhs[] = {     0,
     0,     4,     6,     8,    13,    22,    27,    32,    33,    35,
    37,    39,    41,    42,    47,    48,    52,    54,    65,    75,
    83,    90,    92,    95,    97,    99,   101,   104,   106,   111,
   116,   121,   125,   129,   132,   134,   136,   139,   141,   142,
   143,   144,   146,   148,   150,   152
};

static const short yyrhs[] = {    38,
    40,    37,     0,    41,     0,    46,     0,     3,    43,     4,
    42,     0,     3,    43,    38,    26,    52,    53,    37,    42,
     0,     3,    43,     5,    42,     0,     3,    43,    44,    42,
     0,     0,    22,     0,    45,     0,    23,     0,    22,     0,
     0,    24,    43,    47,    48,     0,     0,    50,    49,    48,
     0,    50,     0,    38,    38,    51,    37,    55,    44,    56,
    57,    59,    37,     0,    38,    38,    51,    37,    55,    44,
    56,    57,    37,     0,    38,    38,    51,    37,    55,    44,
    37,     0,    38,    38,    51,    37,    44,    37,     0,    25,
     0,    26,    54,     0,    27,     0,    28,     0,    29,     0,
    30,    36,     0,    30,     0,    32,    34,    36,    36,     0,
    32,    35,    36,    36,     0,    32,    36,    36,    58,     0,
    32,    36,    58,     0,    32,    36,    36,     0,    32,    36,
     0,    31,     0,    32,     0,    33,    36,     0,    33,     0,
     0,     0,     0,    45,     0,    45,     0,    45,     0,    22,
     0,    45,     0
};

#endif

#if YYDEBUG != 0
static const short yyrline[] = { 0,
    81,    85,    86,    89,   105,   124,   140,   163,   175,   182,
   189,   193,   200,   209,   212,   216,   216,   223,   259,   325,
   389,   455,   468,   482,   491,   500,   509,   521,   531,   558,
   580,   608,   634,   661,   671,   681,   691,   708,   721,   726,
   729,   741,   748,   755,   761,   768
};
#endif


#if YYDEBUG != 0 || defined (YYERROR_VERBOSE)

static const char * const yytname[] = {   "$","error","$undefined.","SYMB_AV_HEAR",
"SYMB_OBJ_REFEREE","SYMB_OBJ_SELF","SYMB_WORDSTRING","SYMB_MD_BEFORE_KICKOFF",
"SYMB_MD_TIME_OVER","SYMB_MD_PLAY_ON","SYMB_MD_KICK_OFF_L","SYMB_MD_KICK_OFF_R",
"SYMB_MD_KICK_IN_L","SYMB_MD_KICK_IN_R","SYMB_MD_FREE_KICK_L","SYMB_MD_FREE_KICK_R",
"SYMB_MD_CORNER_KICK_L","SYMB_MD_CORNER_KICK_R","SYMB_MD_GOAL_KICK_L","SYMB_MD_GOAL_KICK_R",
"SYMB_MD_GOAL_L","SYMB_MD_GOAL_R","SYMB_INT_NR","SYMB_FLOAT_NR","SYMB_AV_SEE",
"SYMB_OBJ_PLAYER","SYMB_OBJ_player","SYMB_OBJ_BALL","SYMB_OBJ_ball","SYMB_OBJ_GOAL",
"SYMB_OBJ_goal","SYMB_OBJ_FLAG","SYMB_OBJ_flag","SYMB_OBJ_line","SYMB_OBJ_PENALTY",
"SYMB_OBJ_GOALFLAG","SYMB_OBJ_hv_pos","R_BRAK","L_BRAK","incoming_msg","audio_visual",
"audio_info","message","sim_time","direction","expect_float","visual_info","@1",
"notified_objs","@2","notified_obj","obj_name","teamname","player_nr","player_info",
"distance","dist_change","dir_change","flag_outside_dist","face_dir", NULL
};
#endif

static const short yyr1[] = {     0,
    39,    40,    40,    41,    41,    41,    41,    42,    43,    44,
    45,    45,    47,    46,    49,    48,    48,    50,    50,    50,
    50,    51,    51,    51,    51,    51,    51,    51,    51,    51,
    51,    51,    51,    51,    51,    51,    51,    51,    52,    53,
    54,    55,    56,    57,    58,    59
};

static const short yyr2[] = {     0,
     3,     1,     1,     4,     8,     4,     4,     0,     1,     1,
     1,     1,     0,     4,     0,     3,     1,    10,     9,     7,
     6,     1,     2,     1,     1,     1,     2,     1,     4,     4,
     4,     3,     3,     2,     1,     1,     2,     1,     0,     0,
     0,     1,     1,     1,     1,     1
};

static const short yydefact[] = {     0,
     0,     0,     0,     0,     2,     3,     9,     0,    13,     1,
     8,     8,    12,    11,     0,     8,    10,     0,     4,     6,
    39,     7,     0,    14,    15,    40,     0,     0,     0,    22,
    41,    24,    25,    26,    28,    35,    36,    38,     0,    16,
     8,    23,    27,     0,     0,    34,    37,     0,     5,     0,
     0,    45,    33,    32,     0,    42,     0,    29,    30,    31,
    21,     0,    20,    43,     0,    44,     0,    19,    46,     0,
    18,     0,     0,     0
};

static const short yydefgoto[] = {    72,
     4,     5,    19,     8,    16,    17,     6,    18,    24,    28,
    25,    39,    26,    29,    42,    57,    65,    67,    54,    70
};

static const short yypact[] = {   -29,
     0,   -12,   -12,   -14,-32768,-32768,-32768,    -4,-32768,-32768,
-32768,-32768,-32768,-32768,     4,-32768,-32768,    -6,-32768,-32768,
-32768,-32768,    -5,-32768,     7,-32768,    10,    -6,     8,-32768,
-32768,-32768,-32768,-32768,    11,-32768,   -19,    12,     9,-32768,
-32768,-32768,-32768,    13,    14,   -15,-32768,   -18,-32768,    15,
    16,-32768,    31,-32768,    17,    18,   -18,-32768,-32768,-32768,
-32768,   -11,-32768,-32768,   -18,-32768,    -9,-32768,-32768,    19,
-32768,    57,    58,-32768
};

static const short yypgoto[] = {-32768,
-32768,-32768,   -10,    56,   -28,   -40,-32768,-32768,    32,-32768,
-32768,-32768,-32768,-32768,-32768,-32768,-32768,-32768,    20,-32768
};


#define	YYLAST		73


static const short yytable[] = {    11,
    12,    20,     2,    13,    14,    22,    52,    56,     1,     7,
    13,    14,    13,    14,    44,    45,    46,    13,    14,    55,
    53,    64,    10,     3,    66,    63,    69,    68,    62,    21,
    49,    23,    27,    15,    30,    31,    32,    33,    34,    35,
    36,    37,    38,   -17,    41,    48,    43,    47,    50,    51,
    58,    59,    52,    61,   -10,    71,    73,    74,     9,    40,
     0,     0,     0,     0,     0,     0,     0,     0,     0,     0,
     0,     0,    60
};

static const short yycheck[] = {     4,
     5,    12,     3,    22,    23,    16,    22,    48,    38,    22,
    22,    23,    22,    23,    34,    35,    36,    22,    23,    48,
    36,    62,    37,    24,    65,    37,    67,    37,    57,    26,
    41,    38,    38,    38,    25,    26,    27,    28,    29,    30,
    31,    32,    33,    37,    37,    37,    36,    36,    36,    36,
    36,    36,    22,    37,    37,    37,     0,     0,     3,    28,
    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,    -1,
    -1,    -1,    53
};
/* -*-C-*-  Note some compilers choke on comments on `#line' lines.  */
#line 3 "/usr/share/bison.simple"

/* Skeleton output parser for bison,
   Copyright (C) 1984, 1989, 1990 Free Software Foundation, Inc.

   This program is free software; you can redistribute it and/or modify
   it under the terms of the GNU General Public License as published by
   the Free Software Foundation; either version 2, or (at your option)
   any later version.

   This program is distributed in the hope that it will be useful,
   but WITHOUT ANY WARRANTY; without even the implied warranty of
   MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
   GNU General Public License for more details.

   You should have received a copy of the GNU General Public License
   along with this program; if not, write to the Free Software
   Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.  */

/* As a special exception, when this file is copied by Bison into a
   Bison output file, you may use that output file without restriction.
   This special exception was added by the Free Software Foundation
   in version 1.24 of Bison.  */

#ifndef alloca
#ifdef __GNUC__
#define alloca __builtin_alloca
#else /* not GNU C.  */
#if (!defined (__STDC__) && defined (sparc)) || defined (__sparc__) || defined (__sparc) || defined (__sgi)
#include <alloca.h>
#else /* not sparc */
#if defined (MSDOS) && !defined (__TURBOC__)
#include <malloc.h>
#else /* not MSDOS, or __TURBOC__ */
#if defined(_AIX)
#include <malloc.h>
 #pragma alloca
#else /* not MSDOS, __TURBOC__, or _AIX */
#ifdef __hpux
#ifdef __cplusplus
extern "C" {
void *alloca (unsigned int);
};
#else /* not __cplusplus */
void *alloca ();
#endif /* not __cplusplus */
#endif /* __hpux */
#endif /* not _AIX */
#endif /* not MSDOS, or __TURBOC__ */
#endif /* not sparc.  */
#endif /* not GNU C.  */
#endif /* alloca not defined.  */

/* This is the parser code that is written into each bison parser
  when the %semantic_parser declaration is not specified in the grammar.
  It was written by Richard Stallman by simplifying the hairy parser
  used when %semantic_parser is specified.  */

/* Note: there must be only one dollar sign in this file.
   It is replaced by the list of actions, each action
   as one case of the switch.  */

#define yyerrok		(yyerrstatus = 0)
#define yyclearin	(yychar = YYEMPTY)
#define YYEMPTY		-2
#define YYEOF		0
#define YYACCEPT	return(0)
#define YYABORT 	return(1)
#define YYERROR		goto yyerrlab1
/* Like YYERROR except do call yyerror.
   This remains here temporarily to ease the
   transition to the new meaning of YYERROR, for GCC.
   Once GCC version 2 has supplanted version 1, this can go.  */
#define YYFAIL		goto yyerrlab
#define YYRECOVERING()  (!!yyerrstatus)
#define YYBACKUP(token, value) \
do								\
  if (yychar == YYEMPTY && yylen == 1)				\
    { yychar = (token), yylval = (value);			\
      yychar1 = YYTRANSLATE (yychar);				\
      YYPOPSTACK;						\
      goto yybackup;						\
    }								\
  else								\
    { yyerror ("syntax error: cannot back up"); YYERROR; }	\
while (0)

#define YYTERROR	1
#define YYERRCODE	256

#ifndef YYPURE
#define YYLEX		yylex()
#endif

#ifdef YYPURE
#ifdef YYLSP_NEEDED
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, &yylloc, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval, &yylloc)
#endif
#else /* not YYLSP_NEEDED */
#ifdef YYLEX_PARAM
#define YYLEX		yylex(&yylval, YYLEX_PARAM)
#else
#define YYLEX		yylex(&yylval)
#endif
#endif /* not YYLSP_NEEDED */
#endif

/* If nonreentrant, generate the variables here */

#ifndef YYPURE

int	yychar;			/*  the lookahead symbol		*/
YYSTYPE	yylval;			/*  the semantic value of the		*/
				/*  lookahead symbol			*/

#ifdef YYLSP_NEEDED
YYLTYPE yylloc;			/*  location data for the lookahead	*/
				/*  symbol				*/
#endif

int yynerrs;			/*  number of parse errors so far       */
#endif  /* not YYPURE */

#if YYDEBUG != 0
int yydebug;			/*  nonzero means print parse trace	*/
/* Since this is uninitialized, it does not stop multiple parsers
   from coexisting.  */
#endif

/*  YYINITDEPTH indicates the initial size of the parser's stacks	*/

#ifndef	YYINITDEPTH
#define YYINITDEPTH 200
#endif

/*  YYMAXDEPTH is the maximum size the stacks can grow to
    (effective only if the built-in stack extension method is used).  */

#if YYMAXDEPTH == 0
#undef YYMAXDEPTH
#endif

#ifndef YYMAXDEPTH
#define YYMAXDEPTH 10000
#endif

#ifndef YYPARSE_RETURN_TYPE
#define YYPARSE_RETURN_TYPE int
#endif

/* Prevent warning if -Wstrict-prototypes.  */
#ifdef __GNUC__
YYPARSE_RETURN_TYPE yyparse (void);
#endif

#if __GNUC__ > 1		/* GNU C and GNU C++ define this.  */
#define __yy_memcpy(TO,FROM,COUNT)	__builtin_memcpy(TO,FROM,COUNT)
#else				/* not GNU C or C++ */
#ifndef __cplusplus

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (to, from, count)
     char *to;
     char *from;
     int count;
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#else /* __cplusplus */

/* This is the most reliable way to avoid incompatibilities
   in available built-in functions on various systems.  */
static void
__yy_memcpy (char *to, char *from, int count)
{
  register char *f = from;
  register char *t = to;
  register int i = count;

  while (i-- > 0)
    *t++ = *f++;
}

#endif
#endif

#line 196 "/usr/share/bison.simple"

/* The user can define YYPARSE_PARAM as the name of an argument to be passed
   into yyparse.  The argument should have type void *.
   It should actually point to an object.
   Grammar actions can access the variable by casting it
   to the proper pointer type.  */

#ifdef YYPARSE_PARAM
#ifdef __cplusplus
#define YYPARSE_PARAM_ARG void *YYPARSE_PARAM
#define YYPARSE_PARAM_DECL
#else /* not __cplusplus */
#define YYPARSE_PARAM_ARG YYPARSE_PARAM
#define YYPARSE_PARAM_DECL void *YYPARSE_PARAM;
#endif /* not __cplusplus */
#else /* not YYPARSE_PARAM */
#define YYPARSE_PARAM_ARG
#define YYPARSE_PARAM_DECL
#endif /* not YYPARSE_PARAM */

YYPARSE_RETURN_TYPE
yyparse(YYPARSE_PARAM_ARG)
     YYPARSE_PARAM_DECL
{
  register int yystate;
  register int yyn;
  register short *yyssp;
  register YYSTYPE *yyvsp;
  int yyerrstatus;	/*  number of tokens to shift before error messages enabled */
  int yychar1 = 0;		/*  lookahead token as an internal (translated) token number */

  short	yyssa[YYINITDEPTH];	/*  the state stack			*/
  YYSTYPE yyvsa[YYINITDEPTH];	/*  the semantic value stack		*/

  short *yyss = yyssa;		/*  refer to the stacks thru separate pointers */
  YYSTYPE *yyvs = yyvsa;	/*  to allow yyoverflow to reallocate them elsewhere */

#ifdef YYLSP_NEEDED
  YYLTYPE yylsa[YYINITDEPTH];	/*  the location stack			*/
  YYLTYPE *yyls = yylsa;
  YYLTYPE *yylsp;

#define YYPOPSTACK   (yyvsp--, yyssp--, yylsp--)
#else
#define YYPOPSTACK   (yyvsp--, yyssp--)
#endif

  int yystacksize = YYINITDEPTH;

#ifdef YYPURE
  int yychar;
  YYSTYPE yylval;
  int yynerrs;
#ifdef YYLSP_NEEDED
  YYLTYPE yylloc;
#endif
#endif

  YYSTYPE yyval;		/*  the variable used to return		*/
				/*  semantic values from the action	*/
				/*  routines				*/

  int yylen;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Starting parse\n");
#endif

  yystate = 0;
  yyerrstatus = 0;
  yynerrs = 0;
  yychar = YYEMPTY;		/* Cause a token to be read.  */

  /* Initialize stack pointers.
     Waste one element of value and location stack
     so that they stay on the same level as the state stack.
     The wasted elements are never initialized.  */

  yyssp = yyss - 1;
  yyvsp = yyvs;
#ifdef YYLSP_NEEDED
  yylsp = yyls;
#endif

/* Push a new state, which is found in  yystate  .  */
/* In all cases, when you get here, the value and location stacks
   have just been pushed. so pushing a state here evens the stacks.  */
yynewstate:

  *++yyssp = yystate;

  if (yyssp >= yyss + yystacksize - 1)
    {
      /* Give user a chance to reallocate the stack */
      /* Use copies of these so that the &'s don't force the real ones into memory. */
      YYSTYPE *yyvs1 = yyvs;
      short *yyss1 = yyss;
#ifdef YYLSP_NEEDED
      YYLTYPE *yyls1 = yyls;
#endif

      /* Get the current used size of the three stacks, in elements.  */
      int size = yyssp - yyss + 1;

#ifdef yyoverflow
      /* Each stack pointer address is followed by the size of
	 the data in use in that stack, in bytes.  */
#ifdef YYLSP_NEEDED
      /* This used to be a conditional around just the two extra args,
	 but that might be undefined if yyoverflow is a macro.  */
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yyls1, size * sizeof (*yylsp),
		 &yystacksize);
#else
      yyoverflow("parser stack overflow",
		 &yyss1, size * sizeof (*yyssp),
		 &yyvs1, size * sizeof (*yyvsp),
		 &yystacksize);
#endif

      yyss = yyss1; yyvs = yyvs1;
#ifdef YYLSP_NEEDED
      yyls = yyls1;
#endif
#else /* no yyoverflow */
      /* Extend the stack our own way.  */
      if (yystacksize >= YYMAXDEPTH)
	{
	  yyerror("parser stack overflow");
	  return 2;
	}
      yystacksize *= 2;
      if (yystacksize > YYMAXDEPTH)
	yystacksize = YYMAXDEPTH;
      yyss = (short *) alloca (yystacksize * sizeof (*yyssp));
      __yy_memcpy ((char *)yyss, (char *)yyss1, size * sizeof (*yyssp));
      yyvs = (YYSTYPE *) alloca (yystacksize * sizeof (*yyvsp));
      __yy_memcpy ((char *)yyvs, (char *)yyvs1, size * sizeof (*yyvsp));
#ifdef YYLSP_NEEDED
      yyls = (YYLTYPE *) alloca (yystacksize * sizeof (*yylsp));
      __yy_memcpy ((char *)yyls, (char *)yyls1, size * sizeof (*yylsp));
#endif
#endif /* no yyoverflow */

      yyssp = yyss + size - 1;
      yyvsp = yyvs + size - 1;
#ifdef YYLSP_NEEDED
      yylsp = yyls + size - 1;
#endif

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Stack size increased to %d\n", yystacksize);
#endif

      if (yyssp >= yyss + yystacksize - 1)
	YYABORT;
    }

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Entering state %d\n", yystate);
#endif

  goto yybackup;
 yybackup:

/* Do appropriate processing given the current state.  */
/* Read a lookahead token if we need one and don't already have one.  */
/* yyresume: */

  /* First try to decide what to do without reference to lookahead token.  */

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yydefault;

  /* Not known => get a lookahead token if don't already have one.  */

  /* yychar is either YYEMPTY or YYEOF
     or a valid token in external form.  */

  if (yychar == YYEMPTY)
    {
#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Reading a token: ");
#endif
      yychar = YYLEX;
    }

  /* Convert token to internal form (in yychar1) for indexing tables with */

  if (yychar <= 0)		/* This means end of input. */
    {
      yychar1 = 0;
      yychar = YYEOF;		/* Don't call YYLEX any more */

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Now at end of input.\n");
#endif
    }
  else
    {
      yychar1 = YYTRANSLATE(yychar);

#if YYDEBUG != 0
      if (yydebug)
	{
	  fprintf (stderr, "Next token is %d (%s", yychar, yytname[yychar1]);
	  /* Give the individual parser a way to print the precise meaning
	     of a token, for further debugging info.  */
#ifdef YYPRINT
	  YYPRINT (stderr, yychar, yylval);
#endif
	  fprintf (stderr, ")\n");
	}
#endif
    }

  yyn += yychar1;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != yychar1)
    goto yydefault;

  yyn = yytable[yyn];

  /* yyn is what to do for this token type in this state.
     Negative => reduce, -yyn is rule number.
     Positive => shift, yyn is new state.
       New state is final state => don't bother to shift,
       just return success.
     0, or most negative number => error.  */

  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrlab;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrlab;

  if (yyn == YYFINAL)
    YYACCEPT;

  /* Shift the lookahead token.  */

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting token %d (%s), ", yychar, yytname[yychar1]);
#endif

  /* Discard the token being shifted unless it is eof.  */
  if (yychar != YYEOF)
    yychar = YYEMPTY;

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  /* count tokens shifted since error; after three, turn off error status.  */
  if (yyerrstatus) yyerrstatus--;

  yystate = yyn;
  goto yynewstate;

/* Do the default action for the current state.  */
yydefault:

  yyn = yydefact[yystate];
  if (yyn == 0)
    goto yyerrlab;

/* Do a reduction.  yyn is the number of a rule to reduce with.  */
yyreduce:
  yylen = yyr2[yyn];
  if (yylen > 0)
    yyval = yyvsp[1-yylen]; /* implement default value of the action */

#if YYDEBUG != 0
  if (yydebug)
    {
      int i;

      fprintf (stderr, "Reducing via rule %d (line %d), ",
	       yyn, yyrline[yyn]);

      /* Print the symbols being reduced, and their result.  */
      for (i = yyprhs[yyn]; yyrhs[i] > 0; i++)
	fprintf (stderr, "%s ", yytname[yyrhs[i]]);
      fprintf (stderr, " -> %s\n", yytname[yyr1[yyn]]);
    }
#endif


  switch (yyn) {

case 4:
#line 90 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
			cur_sensor_info->type = SIT_Hear;
			cur_sensor_info->info.hear.time = yyvsp[-2].int_nr;
			cur_sensor_info->info.hear.sender = ST_Referee;

			/* Note: cur_sensor_info->info.hear.message will be filled by 
			 * the rule for <message>
			 */
#endif

#ifdef __USE_SCU
			scu_player->hear_from_referee( yyvsp[-2].int_nr, yyvsp[0].str );
#endif
		;
    break;}
case 5:
#line 106 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
			cur_sensor_info->type = SIT_Hear;
			cur_sensor_info->info.hear.time = yyvsp[-6].int_nr;
			cur_sensor_info->info.hear.sender = ST_Player;

			cur_sensor_info->info.hear.player_nr = yyvsp[-3].str;
			/* Note: cur_sensor_info->info.hear.team will be filled by the rule <teamname> */
#endif

#ifdef __USE_SCU
			/* The following cast is **very dangerous**, because we do not proof, wether the given
			 * c_basics-pointer points to an instance of c_coach or not. If not, it may (should) crash
			 * because the method used here is only defined in c_coach!
			 */
			((c_coach *) scu_player)->hear_from_player( yyvsp[-6].int_nr, yyvsp[-3].str, yyvsp[-2].int_nr, yyvsp[0].str );
#endif
		;
    break;}
case 6:
#line 125 "soccer_env.y"
{ 
#ifdef __STORE_SENSOR_INFO
			cur_sensor_info->type = SIT_Hear;
			cur_sensor_info->info.hear.time = yyvsp[-2].int_nr;
			cur_sensor_info->info.hear.sender = ST_Self;

			/* Note: cur_sensor_info->info.hear.message will be filled by 
			 * the rule for <message>
			 */
#endif

#ifdef __USE_SCU
			// not supported by SCU
#endif
		;
    break;}
case 7:
#line 142 "soccer_env.y"
{

#ifdef __STORE_SENSOR_INFO
			cur_sensor_info->type = SIT_Hear;
			cur_sensor_info->info.hear.time = yyvsp[-2].int_nr;
			cur_sensor_info->info.hear.sender = ST_Player;
			cur_sensor_info->info.hear.direction = yyvsp[-1].float_nr;

			/* Note: cur_sensor_info->info.hear.message will be filled by 
			 * the rule for <message>
			 */
#endif

#ifdef __USE_SCU
			scu_player->hear_from_direction( yyvsp[-2].int_nr, yyvsp[-1].float_nr, yyvsp[0].str );
#endif
		;
    break;}
case 8:
#line 164 "soccer_env.y"
{	
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		yyval.str = read_audio_msg();
#else
	WRITE YOUR OWN CODE FOR READIN IN THE MESSAGE HERE.
	YOU HAVE SIMPLY HAVE TO READ UNTIL ALL OPENING BRACKETS ARE CLOSED
#endif
	;
    break;}
case 9:
#line 176 "soccer_env.y"
{
		yyval.int_nr = yyval.int_nr;
	;
    break;}
case 10:
#line 183 "soccer_env.y"
{
		yyval.float_nr = yyvsp[0].float_nr;
	;
    break;}
case 11:
#line 190 "soccer_env.y"
{
			yyval.float_nr = yyval.float_nr;
		;
    break;}
case 12:
#line 194 "soccer_env.y"
{
			yyval.float_nr = (float) yyval.int_nr;
		;
    break;}
case 13:
#line 201 "soccer_env.y"
{
		cur_see_info = cur_sensor_info->info.see.obj;

		cur_sensor_info->type = SIT_See;
		cur_sensor_info->info.see.time = yyvsp[0].int_nr;
#ifdef __STORE_SENSOR_INFO
		cur_sensor_info->info.see.n_obj = 0;
#endif
	;
    break;}
case 15:
#line 213 "soccer_env.y"
{	cur_see_info++;
		cur_sensor_info->info.see.n_obj++;
	;
    break;}
case 17:
#line 217 "soccer_env.y"
{
		cur_sensor_info->info.see.n_obj++;
	;
    break;}
case 18:
#line 225 "soccer_env.y"
{	/* Note: <face_dir> is only given if a player sees another player. So we do not have
		 * to check for anything else.
		 */
#ifdef __STORE_SENSOR_INFO
		cur_see_info->dist = yyvsp[-5].float_nr;
		cur_see_info->dir = yyvsp[-4].float_nr;
		cur_see_info->dist_chng = yyvsp[-3].float_nr;
		cur_see_info->dir_chng = yyvsp[-2].float_nr;
		cur_see_info->face_dir = yyvsp[-1].float_nr;
#endif

#ifdef __USE_SCU
		obj_info.distance = yyvsp[-5].float_nr;
		obj_info.direction = yyvsp[-4].float_nr;
		obj_info.dist_change = yyvsp[-3].float_nr;
		obj_info.dir_change = yyvsp[-2].float_nr;
		obj_info.face_dir = yyvsp[-1].float_nr;
		obj_info.see_detail = HIGH_DETAIL;

		switch( yyvsp[-7].int_nr ) {
			case SEE_PLAYER:
				scu_player->see_player_and_face( cur_sensor_info->info.see.time, obj_info, yyvsp[-1].float_nr );
				break;
			case SEE_PLAYER_TEAM_NR:
				scu_player->see_player_and_face( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team, cur_see_info->id.player.unum, yyvsp[-1].float_nr );
				break;
			case SEE_PLAYER_TEAM:
				scu_player->see_player_and_face( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team, yyvsp[-1].float_nr );
				break;
		}
#endif
	;
    break;}
case 19:
#line 260 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->dist = yyvsp[-4].float_nr;
		cur_see_info->dir = yyvsp[-3].float_nr;
		cur_see_info->dist_chng = yyvsp[-2].float_nr;
		cur_see_info->dir_chng = yyvsp[-1].float_nr;
#endif

#ifdef __USE_SCU
		obj_info.distance = yyvsp[-4].float_nr;
		obj_info.direction = yyvsp[-3].float_nr;
		obj_info.dist_change = yyvsp[-2].float_nr;
		obj_info.dir_change = yyvsp[-1].float_nr;
		obj_info.see_detail = HIGH_DETAIL;

		switch( yyvsp[-6].int_nr ) {
			case SEE_PLAYER:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_PLAYER_TEAM_NR:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team, cur_see_info->id.player.unum );
				break;
			case SEE_PLAYER_TEAM:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team );
				break;
			case SEE_BALL:
				scu_player->see_ball( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_GOAL:
			case SEE_GOAL_WITH_CONE:
				scu_player->see_goal( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_GOAL_SIDE:
				scu_player->see_goal( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.side );
				break;
			case SEE_FLAG_P_X_Y:
				scu_player->see_flag_penalty( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_CENTER:
				scu_player->see_flag_center( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_FLAG_GOAL:
				scu_player->see_flag_goal( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_OUTSIDE_X_Y:
				scu_player->see_flag_outside( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos,
				  cur_see_info->id.flag_outside_dist );
				break;
			case SEE_FLAG_OUTSIDE:
				scu_player->see_flag_outside( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_X_Y:
				scu_player->see_flag( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_LINE:
				scu_player->see_line( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_LINE_X_Y:
				scu_player->see_line( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.lpos );
				break;
		}
#endif
	;
    break;}
case 20:
#line 326 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->dist = yyvsp[-2].float_nr;
		cur_see_info->dir = yyvsp[-1].float_nr;
		cur_see_info->dist_chng = CHNG_ERR;
		cur_see_info->dist_chng = CHNG_ERR;
#endif
		
#ifdef __USE_SCU
		obj_info.distance = yyvsp[-2].float_nr;
		obj_info.direction = yyvsp[-1].float_nr;
		obj_info.see_detail = MEDIUM_DETAIL;

		switch( yyvsp[-4].int_nr ) {
			case SEE_PLAYER:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_PLAYER_TEAM_NR:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team, cur_see_info->id.player.unum );
				break;
			case SEE_PLAYER_TEAM:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team );
				break;
			case SEE_BALL:
				scu_player->see_ball( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_GOAL:
			case SEE_GOAL_WITH_CONE:
				scu_player->see_goal( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_GOAL_SIDE:
				scu_player->see_goal( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.side );
				break;
			case SEE_FLAG_P_X_Y:
				scu_player->see_flag_penalty( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_CENTER:
				scu_player->see_flag_center( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_FLAG_GOAL:
				scu_player->see_flag_goal( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_OUTSIDE_X_Y:
				scu_player->see_flag_outside( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos,
				  cur_see_info->id.flag_outside_dist );
				break;
			case SEE_FLAG_OUTSIDE:
				scu_player->see_flag_outside( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_X_Y:
				scu_player->see_flag( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_LINE:
				scu_player->see_line( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_LINE_X_Y:
				scu_player->see_line( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.lpos );
				break;
		}
#endif
	;
    break;}
case 21:
#line 390 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->dir = yyvsp[-1].float_nr;
		cur_see_info->dist = DIST_ERR;
		cur_see_info->dist_chng = CHNG_ERR;
		cur_see_info->dist_chng = CHNG_ERR;
#endif
		
#ifdef __USE_SCU
		obj_info.distance = yyvsp[-1].float_nr;
		obj_info.see_detail = LOW_DETAIL;

		switch( yyvsp[-3].int_nr ) {
			case SEE_PLAYER:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_PLAYER_TEAM_NR:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team, cur_see_info->id.player.unum );
				break;
			case SEE_PLAYER_TEAM:
				scu_player->see_player( cur_sensor_info->info.see.time, obj_info,
				  cur_see_info->id.player.team );
				break;
			case SEE_BALL:
				scu_player->see_ball( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_GOAL:
			case SEE_GOAL_WITH_CONE:
				scu_player->see_goal( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_GOAL_SIDE:
				scu_player->see_goal( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.side );
				break;
			case SEE_FLAG_P_X_Y:
				scu_player->see_flag_penalty( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_CENTER:
				scu_player->see_flag_center( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_FLAG_GOAL:
				scu_player->see_flag_goal( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_OUTSIDE_X_Y:
				scu_player->see_flag_outside( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos,
				  cur_see_info->id.flag_outside_dist );
				break;
			case SEE_FLAG_OUTSIDE:
				scu_player->see_flag_outside( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_FLAG_X_Y:
				scu_player->see_flag( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.fpos );
				break;
			case SEE_LINE:
				scu_player->see_line( cur_sensor_info->info.see.time, obj_info );
				break;
			case SEE_LINE_X_Y:
				scu_player->see_line( cur_sensor_info->info.see.time, obj_info, cur_see_info->id.lpos );
				break;
		}
#endif
	;
    break;}
case 22:
#line 456 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Player;
		cur_see_info->inViewConeP = FALSE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.player.team = WT_Unknown;
		cur_see_info->id.player.unum = UNUM_ERR;
#endif
		
		yyval.int_nr = SEE_PLAYER;
	;
    break;}
case 23:
#line 469 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Player;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		if(  cur_see_info->id.player.team != WT_Unknown )
			if(  cur_see_info->id.player.unum != UNUM_ERR )
				yyval.int_nr = SEE_PLAYER_TEAM_NR;
			else 	yyval.int_nr = SEE_PLAYER_TEAM;
		else	yyval.int_nr = SEE_PLAYER;
#endif
	;
    break;}
case 24:
#line 483 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Ball;
		cur_see_info->inViewConeP = FALSE;
#endif

		yyval.int_nr = SEE_BALL;
	;
    break;}
case 25:
#line 492 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Ball;
		cur_see_info->inViewConeP = TRUE;
#endif

		yyval.int_nr = SEE_BALL;
	;
    break;}
case 26:
#line 501 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Goal;
		cur_see_info->inViewConeP = FALSE;
		cur_see_info->id.side = S_UNKNOWN;
#endif
		yyval.int_nr = SEE_GOAL;
	;
    break;}
case 27:
#line 510 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Goal;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.side = ( yyvsp[0].character == 'l' ) ? S_LEFT : S_RIGHT;
#endif
		
		yyval.int_nr = SEE_GOAL_SIDE;
	;
    break;}
case 28:
#line 522 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Goal;
		cur_see_info->inViewConeP = TRUE;
		cur_see_info->id.side = S_UNKNOWN;
#endif
		
		yyval.int_nr = SEE_GOAL_WITH_CONE;
	;
    break;}
case 29:
#line 532 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.fpos = FP_Unknown;

		switch( yyvsp[0].character) {
			case 't': 
				cur_see_info->id.fpos = ( yyvsp[-1].character == 'l' ) ?
				  FP_P_L_T : FP_P_R_T;
				break;
			case 'c':
				cur_see_info->id.fpos = ( yyvsp[-1].character == 'l' ) ?
				  FP_P_L_C : FP_P_R_C;
				break;
			case 'b':
				cur_see_info->id.fpos = ( yyvsp[-1].character == 'l' ) ?
				  FP_P_L_B : FP_P_R_B;
				break;
			//default: ??
		}
#endif
		yyval.int_nr = SEE_FLAG_P_X_Y;
	;
    break;}
case 30:
#line 559 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.fpos = FP_Unknown;

		switch( yyvsp[-1].character) {
			case 'l': 
				cur_see_info->id.fpos = ( yyvsp[0].character == 't' ) ?
				  FP_G_L_T : FP_G_L_B;
				break;
			case 'r':
				cur_see_info->id.fpos = ( yyvsp[0].character == 't' ) ?
				  FP_G_R_T : FP_G_R_B;
				break;
		}
#endif
		yyval.int_nr = SEE_FLAG_GOAL;
	;
    break;}
case 31:
#line 581 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.fpos = FP_Unknown;

		switch( yyvsp[-2].character ) {
			case 't': 
				cur_see_info->id.fpos = (yyvsp[-1].character == 'l') ? FP_O_T_L : FP_O_T_R;
				break;
			case 'b':
				cur_see_info->id.fpos = (yyvsp[-1].character == 'l') ? FP_O_B_L : FP_O_B_R;
				break;
			case 'l':
				cur_see_info->id.fpos = (yyvsp[-1].character == 't') ? FP_O_L_T : FP_O_L_B;
				break;
			case 'r':
				cur_see_info->id.fpos = (yyvsp[-1].character == 't') ? FP_O_R_T : FP_O_R_B;
				break;
		}
		cur_see_info->id.flag_outside_dist = yyvsp[0].int_nr;

#endif
		yyval.int_nr = SEE_FLAG_OUTSIDE_X_Y;
	;
    break;}
case 32:
#line 608 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.fpos = FP_Unknown;

		switch( yyvsp[-1].character ) {
			case 't': 
				cur_see_info->id.fpos = FP_O_T;
				break;
			case 'b':
				cur_see_info->id.fpos = FP_O_B;
				break;
			case 'l':
				cur_see_info->id.fpos = FP_O_L;
				break;
			case 'r':
				cur_see_info->id.fpos = FP_O_R;
				break;
		}
		cur_see_info->id.flag_outside_dist = -1;
#endif
		yyval.int_nr = SEE_FLAG_OUTSIDE;
	;
    break;}
case 33:
#line 635 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.fpos = FP_Unknown;

		switch( yyvsp[-1].character ) {
			case 'l': 
				cur_see_info->id.fpos = ( yyvsp[0].character == 't' ) ?
				  FP_L_T : FP_L_B;
				break;
			case 'r':
				cur_see_info->id.fpos = ( yyvsp[0].character == 't' ) ?
				  FP_R_T : FP_R_B;
				break;
			case 'c':
				cur_see_info->id.fpos = ( yyvsp[0].character == 't' ) ?
				  FP_C_T : FP_C_B;
				break;
			//default: ??
		}
#endif
		yyval.int_nr = SEE_FLAG_X_Y;
	;
    break;}
case 34:
#line 661 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.fpos = (yyvsp[0].character == 'c') ? FP_C : FP_Unknown;
#endif
		yyval.int_nr = SEE_FLAG_CENTER;
	;
    break;}
case 35:
#line 672 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = FALSE;
		cur_see_info->id.fpos = FP_Unknown;
#endif

		yyval.int_nr = SEE_FLAG_WITHOUT_CONE;
	;
    break;}
case 36:
#line 682 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Flag;
		cur_see_info->inViewConeP = TRUE;
		cur_see_info->id.fpos = FP_Unknown;
#endif

		yyval.int_nr = SEE_FLAG;
	;
    break;}
case 37:
#line 692 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Line;
		cur_see_info->inViewConeP = TRUE;
#endif
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		switch( yyvsp[0].character ) {
			case 'l': cur_see_info->id.lpos = LP_L; break;
			case 'r': cur_see_info->id.lpos = LP_R; break;
			case 't': cur_see_info->id.lpos = LP_T; break;
			case 'b': cur_see_info->id.lpos = LP_B; break;
		}
#endif

		yyval.int_nr = SEE_LINE_X_Y;
	;
    break;}
case 38:
#line 709 "soccer_env.y"
{
#ifdef __STORE_SENSOR_INFO
		cur_see_info->type = OT_Line;
		cur_see_info->inViewConeP = TRUE;
		cur_see_info->id.lpos = LP_Unknown;
#endif

		yyval.int_nr = SEE_LINE;
	;
    break;}
case 39:
#line 722 "soccer_env.y"
{ yyval.str = read_teamname(); ;
    break;}
case 40:
#line 726 "soccer_env.y"
{ yyval.int_nr = read_playernr(); ;
    break;}
case 41:
#line 730 "soccer_env.y"
{	
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		read_player_info();
#else

	WRITE YOUR OWN PARSING FOR PLAYER INFO HERE. The string to be evalueated here consists
	of <name> [nr]
#endif
	;
    break;}
case 42:
#line 742 "soccer_env.y"
{
		yyval.float_nr = yyvsp[0].float_nr;
	;
    break;}
case 43:
#line 749 "soccer_env.y"
{
		yyval.float_nr = yyvsp[0].float_nr;
	;
    break;}
case 44:
#line 756 "soccer_env.y"
{
		yyval.float_nr = yyvsp[0].float_nr;
	;
    break;}
case 45:
#line 762 "soccer_env.y"
{
		yyval.int_nr = yyval.int_nr;
	;
    break;}
case 46:
#line 769 "soccer_env.y"
{
		yyval.float_nr = yyvsp[0].float_nr;
	;
    break;}
}
   /* the action file gets copied in in place of this dollarsign */
#line 498 "/usr/share/bison.simple"

  yyvsp -= yylen;
  yyssp -= yylen;
#ifdef YYLSP_NEEDED
  yylsp -= yylen;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

  *++yyvsp = yyval;

#ifdef YYLSP_NEEDED
  yylsp++;
  if (yylen == 0)
    {
      yylsp->first_line = yylloc.first_line;
      yylsp->first_column = yylloc.first_column;
      yylsp->last_line = (yylsp-1)->last_line;
      yylsp->last_column = (yylsp-1)->last_column;
      yylsp->text = 0;
    }
  else
    {
      yylsp->last_line = (yylsp+yylen-1)->last_line;
      yylsp->last_column = (yylsp+yylen-1)->last_column;
    }
#endif

  /* Now "shift" the result of the reduction.
     Determine what state that goes to,
     based on the state we popped back to
     and the rule number reduced by.  */

  yyn = yyr1[yyn];

  yystate = yypgoto[yyn - YYNTBASE] + *yyssp;
  if (yystate >= 0 && yystate <= YYLAST && yycheck[yystate] == *yyssp)
    yystate = yytable[yystate];
  else
    yystate = yydefgoto[yyn - YYNTBASE];

  goto yynewstate;

yyerrlab:   /* here on detecting error */

  if (! yyerrstatus)
    /* If not already recovering from an error, report this error.  */
    {
      ++yynerrs;

#ifdef YYERROR_VERBOSE
      yyn = yypact[yystate];

      if (yyn > YYFLAG && yyn < YYLAST)
	{
	  int size = 0;
	  char *msg;
	  int x, count;

	  count = 0;
	  /* Start X at -yyn if nec to avoid negative indexes in yycheck.  */
	  for (x = (yyn < 0 ? -yyn : 0);
	       x < (sizeof(yytname) / sizeof(char *)); x++)
	    if (yycheck[x + yyn] == x)
	      size += strlen(yytname[x]) + 15, count++;
	  msg = (char *) malloc(size + 15);
	  if (msg != 0)
	    {
	      strcpy(msg, "parse error");

	      if (count < 5)
		{
		  count = 0;
		  for (x = (yyn < 0 ? -yyn : 0);
		       x < (sizeof(yytname) / sizeof(char *)); x++)
		    if (yycheck[x + yyn] == x)
		      {
			strcat(msg, count == 0 ? ", expecting `" : " or `");
			strcat(msg, yytname[x]);
			strcat(msg, "'");
			count++;
		      }
		}
	      yyerror(msg);
	      free(msg);
	    }
	  else
	    yyerror ("parse error; also virtual memory exceeded");
	}
      else
#endif /* YYERROR_VERBOSE */
	yyerror("parse error");
    }

  goto yyerrlab1;
yyerrlab1:   /* here on error raised explicitly by an action */

  if (yyerrstatus == 3)
    {
      /* if just tried and failed to reuse lookahead token after an error, discard it.  */

      /* return failure if at end of input */
      if (yychar == YYEOF)
	YYABORT;

#if YYDEBUG != 0
      if (yydebug)
	fprintf(stderr, "Discarding token %d (%s).\n", yychar, yytname[yychar1]);
#endif

      yychar = YYEMPTY;
    }

  /* Else will try to reuse lookahead token
     after shifting the error token.  */

  yyerrstatus = 3;		/* Each real token shifted decrements this */

  goto yyerrhandle;

yyerrdefault:  /* current state does not do anything special for the error token. */

#if 0
  /* This is wrong; only states that explicitly want error tokens
     should shift them.  */
  yyn = yydefact[yystate];  /* If its default is to accept any token, ok.  Otherwise pop it.*/
  if (yyn) goto yydefault;
#endif

yyerrpop:   /* pop the current state because it cannot handle the error token */

  if (yyssp == yyss) YYABORT;
  yyvsp--;
  yystate = *--yyssp;
#ifdef YYLSP_NEEDED
  yylsp--;
#endif

#if YYDEBUG != 0
  if (yydebug)
    {
      short *ssp1 = yyss - 1;
      fprintf (stderr, "Error: state stack now");
      while (ssp1 != yyssp)
	fprintf (stderr, " %d", *++ssp1);
      fprintf (stderr, "\n");
    }
#endif

yyerrhandle:

  yyn = yypact[yystate];
  if (yyn == YYFLAG)
    goto yyerrdefault;

  yyn += YYTERROR;
  if (yyn < 0 || yyn > YYLAST || yycheck[yyn] != YYTERROR)
    goto yyerrdefault;

  yyn = yytable[yyn];
  if (yyn < 0)
    {
      if (yyn == YYFLAG)
	goto yyerrpop;
      yyn = -yyn;
      goto yyreduce;
    }
  else if (yyn == 0)
    goto yyerrpop;

  if (yyn == YYFINAL)
    YYACCEPT;

#if YYDEBUG != 0
  if (yydebug)
    fprintf(stderr, "Shifting error token, ");
#endif

  *++yyvsp = yylval;
#ifdef YYLSP_NEEDED
  *++yylsp = yylloc;
#endif

  yystate = yyn;
  goto yynewstate;
}
#line 773 "soccer_env.y"

#include <stdlib.h>
#include "lex.yy.c"

void SP_init_soccer_parser( char *teamname, char *input_buffer, int buffer_len ) {
	cur_sensor_info = (SensorInfo *) calloc( 1, sizeof( SensorInfo ) );

	if( cur_sensor_info == NULL ) {
		fprintf( stderr, "soccer_env: Unable to allocate internal structures!\n" );
		exit( 1 );
	}

	if( teamname == NULL ) {
		own_teamname = (char *) malloc( 1 );
		own_teamname[ 0 ] = 0;
	} else {
		own_teamname = (char *) malloc( strlen( teamname ) + 1 );
		if( own_teamname != NULL )
			strcpy( own_teamname, teamname );
	}

	if( own_teamname == NULL ) {
		fprintf( stderr, "soccer_env: Unable to duplicate string!\n" );
		exit( 1 );
	}

	ptr_input_buffer = input_buffer;
	len_input_buffer = buffer_len;
}


void SP_set_teamname( char *name_of_team ) {
	if( name_of_team == NULL )
		return;

	if( own_teamname != NULL )
		free( own_teamname );

	if( name_of_team != NULL ) {
		own_teamname = (char *) malloc( strlen( name_of_team ) + 1 );

		if( own_teamname != NULL )
			strcpy( own_teamname, name_of_team );
	}
}


#ifdef __USE_SCU
void SP_set_scu_receiver( c_basics *receiver ) {
	scu_player = receiver;
}
#endif


void SP_set_input_buffer( char *ptr, int len ) {
	ptr_input_buffer = (ptr-1);
	len_input_buffer = len;
}


void SP_set_receiving_player( c_basics *player_obj ) {
	scu_player = player_obj;
}


char * read_audio_msg() {
	char	*c;
	int	cnt_brackets = 1, indx = 0;
	
	c = cur_sensor_info->info.hear.message;

	*c = (char) yyinput();	// our blank
	*c = (char) yyinput();
	while( (*c != 0) && (cnt_brackets > 0) ) {
		if( *c == ')' ) {
			cnt_brackets--;
			if( cnt_brackets == 0 ) {
				unput( *c );
				break;
			}
		} else	if( *c == '(' )
				cnt_brackets++;

		c++;
		*c = (char) yyinput();
	}

	*c = 0;

	return cur_sensor_info->info.hear.message;
}


char * read_teamname() {
	char	*c;
	int	cnt_brackets = 1, indx = 0;
	
	c = cur_sensor_info->info.hear.team;

	*c = (char) yyinput();	// our blank
	*c = (char) yyinput();
	while( *c != ' ' ) {
		*c = (char) yyinput();
	}

	unput( *c );

	*c = 0;

	return cur_sensor_info->info.hear.team;
}


int read_playernr() {
	char	c;
	int	cnt_brackets = 1, indx = 0, nr = 0;
	
	c = (char) yyinput();	// our blank
	c = (char) yyinput();

	while( (c != ' ' ) && (c != ')') ) {
		c = (char) yyinput();
		if( (c>='0') && (c<='9') )
			nr = nr * 10 + c - '0';
	}

	unput( c );

	return nr;
}


void read_player_info() {
	char	c;
	int	cnt_brackets = 1, i = 0, cur_nr;
	
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
	cur_see_info->id.player.team = WT_Unknown;
	cur_see_info->id.player.unum = UNUM_ERR;
#endif
	c = (char) yyinput();
	if( c != ')' ) {
		/* we have additional information about the player - so proceed */

#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		cur_see_info->id.player.team = WT_Our;
#endif

		c = (char) yyinput();
		while( (c != 0) && (cnt_brackets > 0) && (c != ' ') ) {
			if( c == ')' ) {
				cnt_brackets--;
				if( cnt_brackets == 0 ) {
					unput( c );
					break;
				}
			} else	if( c == '(' )
					cnt_brackets++;

			if( c != own_teamname[ i ] ) {
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
				cur_see_info->id.player.team = WT_Opponent;
#endif

				c = (char) yyinput();		

				/* we repeat the loop here for optimizing reasons */
				while( (c != 0) && (cnt_brackets > 0) && (c != ' ') ) {
					if( c == ')' ) {
						cnt_brackets--;
						if( cnt_brackets == 0 ) {
							unput( c );
							break;
						}
					} else	if( c == '(' )
							cnt_brackets++;

					c = (char) yyinput();		
				}

				break;
			}
			c = (char) yyinput();
			i++;
		}

		if( c == ' ' ) {
			/* player number is also available, which we have to read in now: */
			cur_nr = 0;
			do {
				c = (char) yyinput();

				if( c == ')' ) {
					cnt_brackets--;
					if( cnt_brackets == 0 ) {
						unput( c );
						break;
					}
				} else	if( c == '(' )
						cnt_brackets++;

				cur_nr = (cur_nr*10) + (int) c - 48;
			} while( cnt_brackets > 0 );

#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
			cur_see_info->id.player.unum = cur_nr;

#endif
		} 
#if defined( __USE_SCU ) || defined( __STORE_SENSOR_INFO )
		 else	cur_see_info->id.player.unum = UNUM_ERR;
#endif
	} else	unput( c );
}


void SP_parse_input_buffer( void ) {
	int	str_len;

	if( ptr_input_buffer == NULL ) {
		fprintf( stderr, "soccer_env: NULL pointer to input buffer!\n" );
		exit( 1 );
	}

#ifdef __USE_SCU
	if( scu_player == NULL ) {
		fprintf( stderr, "soccer_env: No player given!\n" );
		exit( 1 );
	}
#endif

#if defined(__PRINT_BUFFER)
	printf( "INPUT BUFFER >%s<\n", ptr_input_buffer );
#endif
	yy_scan_string( ptr_input_buffer );
	yyparse();
}


void SP_done_soccer_parser() {
	if( cur_sensor_info != NULL ) {
		free( cur_sensor_info );
		cur_sensor_info = NULL;
	}

	if( own_teamname != NULL ) {
		free( own_teamname );
		own_teamname = NULL;
	}
}


#ifdef __CHECK_GRAMMAR
#include <string.h>

#if defined( __USE_SCU )
#include "first.h"
#endif

void main( int argc, char *argv[] ) {
	char		*example_str;
	int		str_len;

	if( argc < 2 ) {
		fprintf( stderr, "No example string specified within command line!\n" );
		exit( 1 );
	}

	str_len = strlen( argv[ 1 ] );

	example_str = (char *) malloc( str_len + 2 );
	if( example_str == NULL ) {
		fprintf( stderr, "Failed to allocate string!" );
		exit( 1 );
	}
	strcpy( example_str, argv[ 1 ] );

#if defined( __USE_SCU )
	c_my_client		testclient;

	testclient.init( "MyTeam" );

	SP_set_scu_receiver( &testclient );

#endif
	SP_init_soccer_parser( "MyTeam", example_str, str_len );

	SP_parse_input_buffer();

	SP_done_soccer_parser();

	exit( 0 );
}
#endif


void yyerror( char *msg ) {
	fprintf( stderr, "ERROR: %s\n", msg );

	exit( 1 );

#if 0
#endif
}
